package com.ssm.manage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
import java.io.Serializable;

/**
 * 取消欠款单据表(CancelDebtList)实体类
 *
 * @author makejava
 * @since 2022-03-29 14:41:57
 */

@Table(name = "cancel_debt_list")
public class CancelDebtList implements Serializable {
    /**
     * 主键ID
     */
    @Id
    private Long id;
    /**
     * 门店编码
     */
    @Column(name = "store_id")
    private Long storeId;
    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;
    /**
     * 会员编码
     */
    @Column(name = "member_id")
    private Long memberId;
    /**
     * 会员名称
     */
    @Column(name = "member_name")
    private String memberName;
    /**
     * 会员身份证号
     */
    @Column(name = "member_identity_card")
    private String memberIdentityCard;
    /**
     * 手机
     */
    @Column(name = "mobile_phone")
    private String mobilePhone;
    /**
     * 欠款单ID
     */
    @Column(name = "doc_id")
    private Long docId;
    /**
     * 欠款单据号
     */
    @Column(name = "doc_num")
    private String docNum;
    /**
     * 欠款单类别
     */
    @Column(name = "doc_type")
    private String docType;
    /**
     * 欠款单录入时间
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "doc_date")
    private Date docDate;
    /**
     * 欠款单交易ID
     */
    @Column(name = "trade_id")
    private Long tradeId;
    /**
     * 欠款单交易名称
     */
    @Column(name = "trade_name")
    private String tradeName;
    /**
     * 欠款单交易单价
     */
    @Column(name = "trade_money")
    private BigDecimal tradeMoney;
    /**
     * 欠款单交易欠款金额
     */
    @Column(name = "debt_money")
    private BigDecimal debtMoney;
    /**
     * 疗程现付销售业绩标准
     */
    @Column(name = "sales_achievement")
    private BigDecimal salesAchievement;
    /**
     * 疗程现付销售提成标准
     */
    @Column(name = "sales_commission")
    private BigDecimal salesCommission;
    /**
     * 疗程卡付销售业绩标准
     */
    @Column(name = "card_sales_achievement")
    private BigDecimal cardSalesAchievement;
    /**
     * 疗程卡付销售提成标准
     */
    @Column(name = "card_sales_commission")
    private BigDecimal cardSalesCommission;
    /**
     * 充值提成比率
     */
    @Column(name = "type_ratio")
    private BigDecimal typeRatio;
    /**
     * 销售员1水牌号
     */
    @Column(name = "sale_one_number")
    private String saleOneNumber;
    /**
     * 销售员2水牌号
     */
    @Column(name = "sale_two_number")
    private String saleTwoNumber;
    /**
     * 销售员3水牌号
     */
    @Column(name = "sale_three_number")
    private String saleThreeNumber;
    /**
     * 销售员4水牌号
     */
    @Column(name = "sale_four_number")
    private String saleFourNumber;
    /**
     * 销售员1编码
     */
    @Column(name = "sale_one_staff_id")
    private Long saleOneStaffId;
    /**
     * 销售员2编码
     */
    @Column(name = "sale_two_staff_id")
    private Long saleTwoStaffId;
    /**
     * 销售员3编码
     */
    @Column(name = "sale_three_staff_id")
    private Long saleThreeStaffId;
    /**
     * 销售员4编码
     */
    @Column(name = "sale_four_staff_id")
    private Long saleFourStaffId;
    /**
     * 销售员1名称
     */
    @Column(name = "sale_one_staff_name")
    private String saleOneStaffName;
    /**
     * 销售员2名称
     */
    @Column(name = "sale_two_staff_name")
    private String saleTwoStaffName;
    /**
     * 销售员3名称
     */
    @Column(name = "sale_three_staff_name")
    private String saleThreeStaffName;
    /**
     * 销售员4名称
     */
    @Column(name = "sale_four_staff_name")
    private String saleFourStaffName;
    /**
     * 销售员1身份证号
     */
    @Column(name = "sale_one_identity")
    private String saleOneIdentity;
    /**
     * 销售员2身份证号
     */
    @Column(name = "sale_two_identity")
    private String saleTwoIdentity;
    /**
     * 销售员3身份证号
     */
    @Column(name = "sale_three_identity")
    private String saleThreeIdentity;
    /**
     * 销售员4身份证号
     */
    @Column(name = "sale_four_identity")
    private String saleFourIdentity;
    /**
     * 销售员1占比
     */
    @Column(name = "sale_one_ratio")
    private BigDecimal saleOneRatio;
    /**
     * 销售员2占比
     */
    @Column(name = "sale_two_ratio")
    private BigDecimal saleTwoRatio;
    /**
     * 销售员3占比
     */
    @Column(name = "sale_three_ratio")
    private BigDecimal saleThreeRatio;
    /**
     * 销售员4占比
     */
    @Column(name = "sale_four_ratio")
    private BigDecimal saleFourRatio;
    /**
     * 门店高管编码
     */
    @Column(name = "manage_staff_id")
    private Long manageStaffId;
    /**
     * 门店高管名称
     */
    @Column(name = "manage_staff_name")
    private String manageStaffName;
    /**
     * 门店高管身份证号
     */
    @Column(name = "manage_identity")
    private String manageIdentity;
    /**
     * 门店高管水牌号
     */
    @Column(name = "manage_number")
    private String manageNumber;
    /**
     * 账户ID
     */
    @Column(name = "account_id")
    private Long accountId;
    /**
     * 状态 0:添加/1:送审/2:回收/3:审核/4:反审核/5:作废
     */
    @Column(name = "state")
    private Integer state;
    /**
     * 还款剩余次数添加
     */
    @Column(name = "repay_count")
    private Integer repayCount;
    /**
     * 还款剩余可用次数添加
     */
    @Column(name = "repay_consume_count")
    private Integer repayConsumeCount;

    /**
     * 还款剩余次数添加
     */
    @Column(name = "repay_money")
    private BigDecimal repayMoney;
    /**
     * 还款剩余可用次数添加
     */
    @Column(name = "repay_consume_money")
    private BigDecimal repayConsumeMoney;

    /**
     * 取消欠款金额
     */
    @Column(name = "cancel_money")
    private BigDecimal cancelMoney;
    /**
     * 取消欠款次数
     */
    @Column(name = "cancel_num")
    private Integer cancelNum;
    /**
     * 开卡剩余次数
     */
    @Column(name = "course_rest_count")
    private Integer courseRestCount;
    /**
     * 开卡可用次数
     */
    @Column(name = "course_consume_count")
    private Integer courseConsumeCount;
    /**
     * 剩余金额
     */
    @Column(name = "course_rest_price")
    private BigDecimal courseRestPrice;
    /**
     * 可用金额
     */
    @Column(name = "course_consume_price")
    private BigDecimal courseConsumePrice;
    /**
     * 欠款主键ID
     */
    @Column(name = "debt_id")
    private Long debtId;


    /**
     * 修改人ID
     */
    @Column(name = "update_id")
    private Long updateId;

    /**
     * 修改人名称
     */
    @Column(name = "update_name")
    private String updateName;

    /**
     * 修改时间
     */
    @Column(name = "update_date")
    private Date updateDate;

    /**
     * 创建人ID
     */
    @Column(name = "insert_date")
    private Date insertDate;

    /**
     * 创建人名称
     */
    @Column(name = "insert_id")
    private Long insertId;

    /**
     * 创建时间
     */
    @Column(name = "insert_name")
    private String insertName;

    /**
     * 创建时间
     */
    @Column(name = "order_code")
    private String orderCode;


    /**
     * 取消前单价
     */
    @Column(name = "before_price")
    private BigDecimal beforePrice;
    /**
     * 取消前剩余金额
     */
    @Column(name = "before_rest_money")
    private BigDecimal beforeRestMoney;
    /**
     * 取消前可用金额
     */
    @Column(name = "before_consume_money")
    private BigDecimal beforeConsumeMoney;

    /**
     * 取消前剩余赠送金额
     */
    @Column(name = "before_gift_consume_money")
    private BigDecimal beforeGiftConsumeMoney;

    /**
     * 取消前可用赠送金额
     */
    @Column(name = "before_gift_rest_money")
    private BigDecimal beforeGiftRestMoney;

    /**
     * 取消前剩余次数
     */
    @Column(name = "before_rest_count")
    private Integer  beforeRestCount;
    /**
     * 取消前可用次数
     */
    @Column(name = "before_consume_count")
    private Integer beforeConsumeCount;


    /**
     * 取消后单价
     */
    @Column(name = "back_price")
    private BigDecimal backPrice;
    /**
     * 取消后剩余金额
     */
    @Column(name = "back_rest_money")
    private BigDecimal backRestMoney;
    /**
     * 取消后可用金额
     */
    @Column(name = "back_consume_money")
    private BigDecimal backConsumeMoney;


    /**
     * 取消前剩余赠送金额
     */
    @Column(name = "back_gift_consume_money")
    private BigDecimal backGiftConsumeMoney;

    /**
     * 取消前可用赠送金额
     */
    @Column(name = "back_gift_rest_money")
    private BigDecimal backGiftRestMoney;

    /**
     * 取消后剩余次数
     */
    @Column(name = "back_rest_count")
    private Integer  backRestCount;
    /**
     * 取消后可用次数
     */
    @Column(name = "back_consume_count")
    private Integer backConsumeCount;

    public BigDecimal getBeforeGiftConsumeMoney() {
        return beforeGiftConsumeMoney;
    }

    public void setBeforeGiftConsumeMoney(BigDecimal beforeGiftConsumeMoney) {
        this.beforeGiftConsumeMoney = beforeGiftConsumeMoney;
    }

    public BigDecimal getBeforeGiftRestMoney() {
        return beforeGiftRestMoney;
    }

    public void setBeforeGiftRestMoney(BigDecimal beforeGiftRestMoney) {
        this.beforeGiftRestMoney = beforeGiftRestMoney;
    }

    public BigDecimal getBackGiftConsumeMoney() {
        return backGiftConsumeMoney;
    }

    public void setBackGiftConsumeMoney(BigDecimal backGiftConsumeMoney) {
        this.backGiftConsumeMoney = backGiftConsumeMoney;
    }

    public BigDecimal getBackGiftRestMoney() {
        return backGiftRestMoney;
    }

    public void setBackGiftRestMoney(BigDecimal backGiftRestMoney) {
        this.backGiftRestMoney = backGiftRestMoney;
    }

    public BigDecimal getBeforePrice() {
        return beforePrice;
    }

    public void setBeforePrice(BigDecimal beforePrice) {
        this.beforePrice = beforePrice;
    }

    public BigDecimal getBeforeRestMoney() {
        return beforeRestMoney;
    }

    public void setBeforeRestMoney(BigDecimal beforeRestMoney) {
        this.beforeRestMoney = beforeRestMoney;
    }

    public BigDecimal getBeforeConsumeMoney() {
        return beforeConsumeMoney;
    }

    public void setBeforeConsumeMoney(BigDecimal beforeConsumeMoney) {
        this.beforeConsumeMoney = beforeConsumeMoney;
    }

    public Integer getBeforeRestCount() {
        return beforeRestCount;
    }

    public void setBeforeRestCount(Integer beforeRestCount) {
        this.beforeRestCount = beforeRestCount;
    }

    public Integer getBeforeConsumeCount() {
        return beforeConsumeCount;
    }

    public void setBeforeConsumeCount(Integer beforeConsumeCount) {
        this.beforeConsumeCount = beforeConsumeCount;
    }

    public BigDecimal getBackPrice() {
        return backPrice;
    }

    public void setBackPrice(BigDecimal backPrice) {
        this.backPrice = backPrice;
    }

    public BigDecimal getBackRestMoney() {
        return backRestMoney;
    }

    public void setBackRestMoney(BigDecimal backRestMoney) {
        this.backRestMoney = backRestMoney;
    }

    public BigDecimal getBackConsumeMoney() {
        return backConsumeMoney;
    }

    public void setBackConsumeMoney(BigDecimal backConsumeMoney) {
        this.backConsumeMoney = backConsumeMoney;
    }

    public Integer getBackRestCount() {
        return backRestCount;
    }

    public void setBackRestCount(Integer backRestCount) {
        this.backRestCount = backRestCount;
    }

    public Integer getBackConsumeCount() {
        return backConsumeCount;
    }

    public void setBackConsumeCount(Integer backConsumeCount) {
        this.backConsumeCount = backConsumeCount;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getInsertDate() {
        return insertDate;
    }

    public void setInsertDate(Date insertDate) {
        this.insertDate = insertDate;
    }

    public Long getInsertId() {
        return insertId;
    }

    public void setInsertId(Long insertId) {
        this.insertId = insertId;
    }

    public String getInsertName() {
        return insertName;
    }

    public void setInsertName(String insertName) {
        this.insertName = insertName;
    }

    private static final long serialVersionUID = 1L;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberIdentityCard() {
        return memberIdentityCard;
    }

    public void setMemberIdentityCard(String memberIdentityCard) {
        this.memberIdentityCard = memberIdentityCard;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public Long getDocId() {
        return docId;
    }

    public void setDocId(Long docId) {
        this.docId = docId;
    }

    public String getDocNum() {
        return docNum;
    }

    public void setDocNum(String docNum) {
        this.docNum = docNum;
    }

    public String getDocType() {
        return docType;
    }

    public void setDocType(String docType) {
        this.docType = docType;
    }

    public Date getDocDate() {
        return docDate;
    }

    public void setDocDate(Date docDate) {
        this.docDate = docDate;
    }

    public Long getTradeId() {
        return tradeId;
    }

    public void setTradeId(Long tradeId) {
        this.tradeId = tradeId;
    }

    public String getTradeName() {
        return tradeName;
    }

    public void setTradeName(String tradeName) {
        this.tradeName = tradeName;
    }

    public BigDecimal getTradeMoney() {
        return tradeMoney;
    }

    public void setTradeMoney(BigDecimal tradeMoney) {
        this.tradeMoney = tradeMoney;
    }

    public BigDecimal getDebtMoney() {
        return debtMoney;
    }

    public void setDebtMoney(BigDecimal debtMoney) {
        this.debtMoney = debtMoney;
    }

    public BigDecimal getSalesAchievement() {
        return salesAchievement;
    }

    public void setSalesAchievement(BigDecimal salesAchievement) {
        this.salesAchievement = salesAchievement;
    }

    public BigDecimal getSalesCommission() {
        return salesCommission;
    }

    public void setSalesCommission(BigDecimal salesCommission) {
        this.salesCommission = salesCommission;
    }

    public BigDecimal getCardSalesAchievement() {
        return cardSalesAchievement;
    }

    public void setCardSalesAchievement(BigDecimal cardSalesAchievement) {
        this.cardSalesAchievement = cardSalesAchievement;
    }

    public BigDecimal getCardSalesCommission() {
        return cardSalesCommission;
    }

    public void setCardSalesCommission(BigDecimal cardSalesCommission) {
        this.cardSalesCommission = cardSalesCommission;
    }

    public BigDecimal getTypeRatio() {
        return typeRatio;
    }

    public void setTypeRatio(BigDecimal typeRatio) {
        this.typeRatio = typeRatio;
    }

    public String getSaleOneNumber() {
        return saleOneNumber;
    }

    public void setSaleOneNumber(String saleOneNumber) {
        this.saleOneNumber = saleOneNumber;
    }

    public String getSaleTwoNumber() {
        return saleTwoNumber;
    }

    public void setSaleTwoNumber(String saleTwoNumber) {
        this.saleTwoNumber = saleTwoNumber;
    }

    public String getSaleThreeNumber() {
        return saleThreeNumber;
    }

    public void setSaleThreeNumber(String saleThreeNumber) {
        this.saleThreeNumber = saleThreeNumber;
    }

    public String getSaleFourNumber() {
        return saleFourNumber;
    }

    public void setSaleFourNumber(String saleFourNumber) {
        this.saleFourNumber = saleFourNumber;
    }

    public Long getSaleOneStaffId() {
        return saleOneStaffId;
    }

    public void setSaleOneStaffId(Long saleOneStaffId) {
        this.saleOneStaffId = saleOneStaffId;
    }

    public Long getSaleTwoStaffId() {
        return saleTwoStaffId;
    }

    public void setSaleTwoStaffId(Long saleTwoStaffId) {
        this.saleTwoStaffId = saleTwoStaffId;
    }

    public Long getSaleThreeStaffId() {
        return saleThreeStaffId;
    }

    public void setSaleThreeStaffId(Long saleThreeStaffId) {
        this.saleThreeStaffId = saleThreeStaffId;
    }

    public Long getSaleFourStaffId() {
        return saleFourStaffId;
    }

    public void setSaleFourStaffId(Long saleFourStaffId) {
        this.saleFourStaffId = saleFourStaffId;
    }

    public String getSaleOneStaffName() {
        return saleOneStaffName;
    }

    public void setSaleOneStaffName(String saleOneStaffName) {
        this.saleOneStaffName = saleOneStaffName;
    }

    public String getSaleTwoStaffName() {
        return saleTwoStaffName;
    }

    public void setSaleTwoStaffName(String saleTwoStaffName) {
        this.saleTwoStaffName = saleTwoStaffName;
    }

    public String getSaleThreeStaffName() {
        return saleThreeStaffName;
    }

    public void setSaleThreeStaffName(String saleThreeStaffName) {
        this.saleThreeStaffName = saleThreeStaffName;
    }

    public String getSaleFourStaffName() {
        return saleFourStaffName;
    }

    public void setSaleFourStaffName(String saleFourStaffName) {
        this.saleFourStaffName = saleFourStaffName;
    }

    public String getSaleOneIdentity() {
        return saleOneIdentity;
    }

    public void setSaleOneIdentity(String saleOneIdentity) {
        this.saleOneIdentity = saleOneIdentity;
    }

    public String getSaleTwoIdentity() {
        return saleTwoIdentity;
    }

    public void setSaleTwoIdentity(String saleTwoIdentity) {
        this.saleTwoIdentity = saleTwoIdentity;
    }

    public String getSaleThreeIdentity() {
        return saleThreeIdentity;
    }

    public void setSaleThreeIdentity(String saleThreeIdentity) {
        this.saleThreeIdentity = saleThreeIdentity;
    }

    public String getSaleFourIdentity() {
        return saleFourIdentity;
    }

    public void setSaleFourIdentity(String saleFourIdentity) {
        this.saleFourIdentity = saleFourIdentity;
    }

    public BigDecimal getSaleOneRatio() {
        return saleOneRatio;
    }

    public void setSaleOneRatio(BigDecimal saleOneRatio) {
        this.saleOneRatio = saleOneRatio;
    }

    public BigDecimal getSaleTwoRatio() {
        return saleTwoRatio;
    }

    public void setSaleTwoRatio(BigDecimal saleTwoRatio) {
        this.saleTwoRatio = saleTwoRatio;
    }

    public BigDecimal getSaleThreeRatio() {
        return saleThreeRatio;
    }

    public void setSaleThreeRatio(BigDecimal saleThreeRatio) {
        this.saleThreeRatio = saleThreeRatio;
    }

    public BigDecimal getSaleFourRatio() {
        return saleFourRatio;
    }

    public void setSaleFourRatio(BigDecimal saleFourRatio) {
        this.saleFourRatio = saleFourRatio;
    }

    public Long getManageStaffId() {
        return manageStaffId;
    }

    public void setManageStaffId(Long manageStaffId) {
        this.manageStaffId = manageStaffId;
    }

    public String getManageStaffName() {
        return manageStaffName;
    }

    public void setManageStaffName(String manageStaffName) {
        this.manageStaffName = manageStaffName;
    }

    public String getManageIdentity() {
        return manageIdentity;
    }

    public void setManageIdentity(String manageIdentity) {
        this.manageIdentity = manageIdentity;
    }

    public String getManageNumber() {
        return manageNumber;
    }

    public void setManageNumber(String manageNumber) {
        this.manageNumber = manageNumber;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getRepayCount() {
        return repayCount;
    }

    public void setRepayCount(Integer repayCount) {
        this.repayCount = repayCount;
    }

    public Integer getRepayConsumeCount() {
        return repayConsumeCount;
    }

    public void setRepayConsumeCount(Integer repayConsumeCount) {
        this.repayConsumeCount = repayConsumeCount;
    }

    public BigDecimal getCancelMoney() {
        return cancelMoney;
    }

    public void setCancelMoney(BigDecimal cancelMoney) {
        this.cancelMoney = cancelMoney;
    }

    public Integer getCancelNum() {
        return cancelNum;
    }

    public void setCancelNum(Integer cancelNum) {
        this.cancelNum = cancelNum;
    }

    public Integer getCourseRestCount() {
        return courseRestCount;
    }

    public void setCourseRestCount(Integer courseRestCount) {
        this.courseRestCount = courseRestCount;
    }

    public Integer getCourseConsumeCount() {
        return courseConsumeCount;
    }

    public void setCourseConsumeCount(Integer courseConsumeCount) {
        this.courseConsumeCount = courseConsumeCount;
    }

    public BigDecimal getCourseRestPrice() {
        return courseRestPrice;
    }

    public void setCourseRestPrice(BigDecimal courseRestPrice) {
        this.courseRestPrice = courseRestPrice;
    }

    public BigDecimal getCourseConsumePrice() {
        return courseConsumePrice;
    }

    public BigDecimal getRepayMoney() {
        return repayMoney;
    }

    public void setRepayMoney(BigDecimal repayMoney) {
        this.repayMoney = repayMoney;
    }

    public BigDecimal getRepayConsumeMoney() {
        return repayConsumeMoney;
    }

    public void setRepayConsumeMoney(BigDecimal repayConsumeMoney) {
        this.repayConsumeMoney = repayConsumeMoney;
    }

    public void setCourseConsumePrice(BigDecimal courseConsumePrice) {
        this.courseConsumePrice = courseConsumePrice;
    }

    public Long getDebtId() {
        return debtId;
    }

    public void setDebtId(Long debtId) {
        this.debtId = debtId;
    }

}

